- Qt 6.8
- Qt GUI
- C++ Classes
- QAndroidScreen
- Qt 6.8.3 Reference Documentation

# QAndroidScreen Struct

struct QNativeInterface::QAndroidScreen

Native interface to a screen. More...

Header: | `#include <QAndroidScreen>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Gui)` `target_link_libraries(mytarget PRIVATE Qt6::Gui)`
qmake: | `QT += gui`
Since: | Qt 6.7

- List of all members, including inherited members

## Public Functions

virtual int | displayId() const = 0

## Detailed Description

Accessed through QScreen::nativeInterface().

## Member Function Documentation

### `[pure virtual]` int QAndroidScreen::displayId() const

Returns the id of the underlying Android display.